package a3test.basic;

import jp.sourceforge.acerola3d.a3.*;

public class A3Sound {
    public static void main(String args[]) throws Exception {
        //System.setProperty("j3d.audiodevice","com.sun.j3d.audioengines.javasound.JavaSoundMixer");
        //System.setProperty("acerola3d.action3d.sound","JOAL_DIRECT");
        //jp.sourceforge.acerola3d.A23.initA23();
        A3Window window = new A3Window(300,300);
        Action3D a3 = Action3D.load("x-res:///dog_cat.a3");
        a3.changeImmediately(1);
        window.add(a3);

        double t=0.0;
        for (;;) {
            try{Thread.sleep(100);}catch(Exception e){;}
            a3.setLoc(5.0*Math.sin(t),0.0,0.0);
            t += 0.1;
        }
    }
}
